/********************************
 *	Blink onboard LED			*
 *	For PIC32 Devboard			*
 *	Michael Ross				*
 *	2013						*
 ********************************/
//#include "PIC32DEVBOARD.h"	// Header of pin definitions, to be written

#include <p32xxxx.h>	// device definitions
#include <stdio.h>

/*** Configuration Options ***/
#pragma config JTAGEN= OFF	// Turn off JTAG
#pragma config FWDTEN= OFF	// Turn off WDT
#pragma config ICESEL = ICS_PGx2
#pragma config FNOSC = FRC		// Use fast RC osc (~8MHz)
#pragma config FSOSCEN = OFF		// Make sure secondary oscillator is off
#pragma config OSCIOFNC = OFF

#define SECOND_DELAY (31250/8)	// 8MHz/256 / 31250 = 1Hz

int main(void)
{

	DDPCONbits.JTAGEN = 0;

	TRISB= 0x0;	// Port B as outputs
	PORTB= 0x0;	// Turn LED on

	T1CON= 0x8030;	// TMR1 on, prescaler 256

	while(1)
	{
		TMR1= 0;
		while(TMR1 < SECOND_DELAY);
		PORTB ^= 0x10;	
	}

}